* {
  box-sizing: border-box;
}
:root {
  --background-color: #fffbf3;
  --primary-color: #ffa800;
  --secondary-color: #e89058;
  --black-color: #212121;
  --primary-light: #feecca;
  --default-fs: 16px; /*will be changing it to 18px in desktop mode*/
}
body,
html {
  height: 100%;
  margin: 0;
  padding: 0;
  font-size: var(--default-fs);
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

body {
  background-color: var(--background-color);
  color: var(--black-color);
}
p {
  margin: 0;
  margin-bottom: 1rem;
}
.fs-10 {
  font-size: 0.625rem;
}
.fs-13 {
  font-size: 0.8125rem;
}
.fs-16 {
  font-size: 1rem;
}
.fs-16 {
  font-size: 1.125rem;
}
.fs-24 {
  font-size: 1.5rem;
}
.fs-32 {
  font-size: 2rem;
}
.fs-40 {
  font-size: 2.5rem;
}
.fs-48 {
  font-size: 3rem;
}

.container {
  max-width: 1160px;
  margin: 0 auto;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem 1rem;
}
.logo-wrapper {
  display: flex;
  align-items: center;
}
.logo {
  max-width: 100px;
}
.hide-mobile {
  display: none !important;
}
.hide-desktop {
  display: block !important;
}
.hero {
  padding: 1rem;
  text-align: center;
}

.hero-info {
  h1 {
    font-size: 41px;
  }
  img {
    width: 60%;
  }
  p {
    font-size: 18px;
  }
}
.cta {
  font-size: 1.5rem;
  padding: 0.5em 1em;
  background-color: var(--primary-color);
  color: var(--black);
  display: inline-block;
  border-radius: 10px;
  text-decoration: none;
  font-weight: bold;
}
.cat {
  padding: 1rem;
  margin: 5rem 0;

  position: relative;
}
.cat-img {
  width: 70%;
}
.inner-circle {
  background-color: var(--primary-light);
  width: 300px;
  height: 300px;
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: -1;
}
.outer-circle {
  background-color: white;
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  position: absolute;
  top: -40%;
  left: 50%;
  transform: translateX(-50%);
  z-index: -2;
}

.nav-list {
  list-style: none;
  margin: 0;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 1rem;

  .nav-item {
    text-decoration: none;
    padding: 0.5rem 1rem;
    border-radius: 0.3rem;
    color: var(--black-color);
    font-weight: bold;

    &:hover {
      color: white;
      background-color: var(--primary-color);
    }
  }
}
.to-home-link {
  color: var(--black-color);
  text-decoration: none;
  margin-left: 1rem;
  padding-left: 1rem;
  border-left: 1px solid #c9c9c9;

  &:hover {
    color: var(--secondary-color);
  }
}

/*
crazy man section
*/

.crazy-man {
  width: 100%;
  padding: 5rem 0;
  text-align: center;
  position: relative;

  h3 {
    width: 80%;
    margin: 0 auto;
    margin-bottom: 2rem;
  }
}

.mad-man {
  width: 60%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  margin: 0 auto;
  background-color: white;
  position: relative;
  img {
    width: 100%;
    z-index: 2;
    position: relative;
  }
}
.inner-circle-mad {
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translateX(-50%);
  width: 200px;
  height: 200px;
  background-color: var(--primary-light);
  border-radius: 50%;
}

.cat-paws {
  width: 100%;
  position: absolute;
  background-image: url(../img/paws.png);
  background-repeat: repeat-x;
  height: 50px;

  background-size: contain;
  top: 50%;
}

/*
testimonials
*/
.testimonials {
  padding: 1rem;
  display: grid;
  gap: 4rem;
}

.testimonial {
  position: relative;
  p {
    margin-bottom: 2rem;
  }

  span {
    position: absolute;
    font-size: 6rem;
    top: -4rem;
    left: -1rem;
    color: var(--primary-light);
  }
}
.user-info-wrapper {
  display: grid;
  grid-template-columns: 50px 1fr;
  column-gap: 0.5rem;
}

.user-img {
  width: 50px;
  height: 50px;
  min-width: 50px;
  border-radius: 50%;
  background-size: cover;
  background-position: top;
}

/*
facts section
*/
.container-full {
  background-color: var(--secondary-color);
}
.facts {
  max-width: 1160px;
  display: grid;
  gap: 1rem;

  padding: 1rem;
  position: relative;
  margin: 10rem auto 0 auto;

  padding-top: 10rem;
}
.facts-item.cat-bowl {
  width: 100%;
  text-align: center;
  position: absolute;
  top: -100px;

  img {
    width: 70%;
  }
}

.fact-title {
  background-color: var(--primary-light);
  padding: 0.2rem 0.5rem;
  border-radius: 3px;
  display: inline-block;
  font-weight: bold;
  margin-bottom: 0.5rem;
  transform: rotate(-5deg);
  font-size: 0.7rem;
}

/*
cta section
*/
.cta-section {
  text-align: center;
  padding: 7rem 1rem;
}

.cta-logo {
  width: 70px;
}

/*
footer
*/

footer {
  background-color: var(--primary-light);
  padding: 2rem 1rem;

  font-size: 0.8rem;
}
footer .container {
  max-width: 1160px;
  margin: 0 auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.footer-list {
  margin-left: auto;
  list-style: none;
  display: flex;
  column-gap: 1rem;
}
.footer-home-link,
.footer-list-item {
  color: var(--black-color);
  text-decoration: none;

  &:hover {
    color: var(--secondary-color);
  }
}

.footer-home-link {
  margin-left: 1rem;
}
@media (min-width: 600px) {
  .hero {
    padding: 0rem;
    text-align: left;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  .hero-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
  }
  .outer-circle {
    width: 100%;
    aspect-ratio: 1/1;
  }
  .inner-circle {
    width: 400px;
    height: 400px;
  }
  .hide-mobile {
    display: block !important;
  }
  .hide-desktop {
    display: none !important;
  }
  .cat {
    text-align: center;
  }
  .crazy-man h3 {
    font-size: 2rem;
    width: 30ch;
    margin-bottom: 0;
  }
  .mad-man {
    display: flex;
    align-items: end;
    justify-content: center;
    img {
      width: 90%;
      z-index: 2;
      position: relative;
      bottom: 0;
      margin-top: auto;
    }
  }
  .inner-circle-mad {
    width: 400px;
    height: 400px;
  }

  .testimonials {
    grid-template-columns: repeat(4, 1fr);
  }

  .facts {
    grid-template-columns: repeat(auto-fit, minmax(45%, 1fr));
    padding: 10rem 2rem 5rem 2rem;
  }
  .facts-item.cat-bowl {
    top: -100px;

    img {
      width: 30%;
    }
  }

  .cta-section {
    display: grid;
    text-align: unset;
    grid-template-columns: 1fr 1fr;
    padding: 10rem 0rem;
    gap: 2rem;
  }
  .cta-left {
    text-align: right;
  }
  .cta-section div:last-child {
    align-self: end;
  }
}

/*
icons
*/
.solar--hamburger-menu-outline {
  display: inline-block;
  width: 1em;
  height: 1em;
  --svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23000' fill-rule='evenodd' d='M20.75 7a.75.75 0 0 1-.75.75H4a.75.75 0 0 1 0-1.5h16a.75.75 0 0 1 .75.75m0 5a.75.75 0 0 1-.75.75H4a.75.75 0 0 1 0-1.5h16a.75.75 0 0 1 .75.75m0 5a.75.75 0 0 1-.75.75H4a.75.75 0 0 1 0-1.5h16a.75.75 0 0 1 .75.75' clip-rule='evenodd'/%3E%3C/svg%3E");
  background-color: currentColor;
  -webkit-mask-image: var(--svg);
  mask-image: var(--svg);
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  mask-size: 100% 100%;
}
/*
css nesting
css nesting
*/
/* 

:root {
  --margin-base: 6px;
}
@media screen and (min-width: 600px) {
  :root {
    --margin-base: 16px;
  }
}

.avatar-img {
  position: absolute;
  top: -50px;
  right: -50px;
}

.bb {
  width: 150px;
  height: 150px;
  background-color: blueviolet;
  position: relative;
  margin: 5rem;
}
.sticky {
  position: sticky;
  top: 10px;
}

.cat {
  position: relative;
  height: 500px;
  width: 100%;

  img {
    width: 70%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  .inner-circle,
  .outer-circle {
    position: absolute;
    border-radius: 50%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .inner-circle {
    background: #ffebc3;
    width: 300px;
    height: 300px;
    z-index: -1;
  }
  .inner-circle {
    background: white;
    width: 500px;
    height: 500px;
    z-index: -2;
  }
}

.cat-container {
  position: absolute;
  z-index: -1;
  width: 50%;
  top: 20%;
  right: 0;
  margin: 0;
} */
